CAD Forum - tips, tricks, discussion and utilities for AutoCAD, Inventor, Revit and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 4653
Plex.Earth connects AutoCAD and Google Earth

CAD tip CAD tip # 9812:

   
Question CAD 
 %  platform  category 
Q - question

How to switch a drawing sheet from portrait to landscape orientation?

A - answer With as simple iLogic macro you can switch an existing Inventor drawing sheet from its "portrait" orientation to "landscape" or vice versa:

ThisApplication.ActiveDocument.ActiveSheet.Orientation = ThisApplication.ActiveDocument.ActiveSheet.Orientation - Sign(ThisApplication.ActiveDocument.ActiveSheet.Orientation-10242.5)
ThisApplication.ActiveView.Fit
Inventor
100% *  CAD 
7.5.2014    6053×  
applies to: Inventor ·

See also:
Tip 12697:Opposite angle for angular dimensions in Inventor drawings (iLogic).
Tip 11732:How to sort BOM or parts list by part number in Inventor? (iLogic)
Tip 11111:Inventor drawing diplays flipped, mirrored (as from underside)
Tip 10889:How to get user's full domain name, phone No., department, e-mail...
Tip 10852:iLogic - how to get part material and path from a drawing?


Back   All CAD Tips



Have we helped you? If you want to support the CAD Forum web service, consider buying one of our CAD applications, or our custom software development offerings, or donating via PayPal (see above). You may also add a link to your web - like this "fan" link: CAD Forum - tips, utilities, blocks for Autodesk products
CAD:    OS:    Categ: 
Text:  FAQ glossary   



Featuring:
Increase your productivity with our set of BIM add-on functions for Autodesk Revit
CADstudio Revit Tools More info


Please use these tips at your own risk.
CAD Studio is not responsible for possible problems that may occur as a result of using any of these tips.
TOPlist